|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QStyleOptionViewItem Class Reference
[QtGui module]

The QStyleOptionViewItem class is used to describe the parameters used to draw an item in a view widget. More...

    #include <QStyleOptionViewItem>

Inherits QStyleOption.

- List of all members, including inherited members

### Public Types

- enum Position { Left, Right, Top, Bottom }

### Public Functions

- QStyleOptionViewItem ()
- QStyleOptionViewItem ( const QStyleOptionViewItem & other )

- 2 public functions inherited from QStyleOption

### Public Variables

- Qt::Alignment decorationAlignment
- Position decorationPosition
- QSize decorationSize
- Qt::Alignment displayAlignment
- QFont font
- bool showDecorationSelected
- Qt::TextElideMode textElideMode

- 7 public variables inherited from QStyleOption

### Static Public Members

- const int Type
- const int Version

- 2 static public members inherited from QStyleOption

## Detailed Description

The QStyleOptionViewItem class is used to describe the parameters used to draw an item in a view widget.

The QStyleOptionViewItem class is used by Qt's model/view classes to draw their items.

See also Model/View Programming.

## Member Type Documentation

### enum QStyleOptionViewItem::Position

This enum describes the position of the item's decoration.

Constant | Value | Description
--- | --- | ---
`QStyleOptionViewItem::Left` | `0` | On the left of the text.
`QStyleOptionViewItem::Right` | `1` | On the right of the text.
`QStyleOptionViewItem::Top` | `2` | Above the text.
`QStyleOptionViewItem::Bottom` | `3` | Below the text.

See also decorationPosition.

## Member Function Documentation

### QStyleOptionViewItem::QStyleOptionViewItem ()

Constructs a QStyleOptionViewItem. The members variables are initialized to default values.

### QStyleOptionViewItem::QStyleOptionViewItem ( const QStyleOptionViewItem & other )

Constructs a copy of the other style option.

## Member Variable Documentation

### const int QStyleOptionViewItem::Type

Equals SO_ViewItem.

### const int QStyleOptionViewItem::Version

Equals 1.

### Qt::Alignment QStyleOptionViewItem::decorationAlignment

This variable holds the alignment of the decoration for the item.

### Position QStyleOptionViewItem::decorationPosition

This variable holds the position of the decoration for the item.

See also Position.

### QSize QStyleOptionViewItem::decorationSize

This variable holds the size of the decoration for the item.

See also decorationAlignment and decorationPosition.

### Qt::Alignment QStyleOptionViewItem::displayAlignment

This variable holds the alignment of the display value for the item.

### QFont QStyleOptionViewItem::font

This variable holds the font used for the item.

See also QFont.

### bool QStyleOptionViewItem::showDecorationSelected

This variable holds whether the decoration should be highlighted on selected items.

If this option is true, the branch and any decorations on selected items should be highlighted, indicating that the item is selected; otherwise, no highlighting is required.

See also QStyle::SH_ItemView_ShowDecorationSelected and QAbstractItemView.

### Qt::TextElideMode QStyleOptionViewItem::textElideMode

This variable holds where ellipsis should be added for text that is too long to fit into an item.

See also Qt::TextElideMode and QStyle::SH_ItemView_EllipsisLocation.